<?php
namespace DatabaseHelper\enums;

enum Propagation
{
    case CASCADE;
    case SET_NULL;
    case NO_ACTION;
    case RESTRICT;
    case SET_DEFAULT;

    public function toString(): string {
        return match ($this) {
            self::CASCADE => 'CASCADE',
            self::SET_NULL => 'SET NULL',
            self::NO_ACTION => 'NO ACTION',
            self::RESTRICT => 'RESTRICT',
            self::SET_DEFAULT => 'SET DEFAULT',
        };
    }
}