<?php
namespace DatabaseHelper\enums;

enum Aggregation
{
    case COUNT;
    case SUM;
    case AVG;
    case MIN;
    case MAX;

    public function toString(): string {
        return match ($this) {
            self::COUNT => 'COUNT',
            self::SUM => 'SUM',
            self::AVG => 'AVG',
            self::MIN => 'MIN',
            self::MAX => 'MAX',
        };
    }
}
